# Class CIM_J2eeStatistic
extends CIM_StatisticalData

The J2eeStatistic class is a base class that defines the properties that are common to all J2EE statistics. The JSR77 specification defines a set of statistical types, then it defines each J2EE statistic in terms of these types. Since CIM does not support multiple inheritance or embedded objects, the count, time, range, bounded range, and boundary statistics defined have been broken out into individual properties for each statistic that is defined in the JSR77 specification. Many of the properties defined for J2EE statistics are inherited from the CIM_StatisticalData class. Some of the inherited properties are CIM dates, which are not consistent with the definitions in the JSR77 specification. In order to minimize implementation differences, methods are defined to provide the dates as specified. Some of the subclasses of CIM_J2EEStatistic do not add any new properties. However, these subclasses were chosen over adding a type property to the superclass because the vendor extensions were likely to result in classes with characteristics distinct enough to warrant the existence of subclasses.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_J2eeStatistic

## Direct Known Subclasses

CIM_J2eeConnectionStats
CIM_J2eeEJBStats
CIM_J2eeJavaMailStats
CIM_J2eeJCAStats
CIM_J2eeJDBCStats
CIM_J2eeJMSConnectionStats
CIM_J2eeJMSEndpointStats
CIM_J2eeJMSSessionStats
CIM_J2eeJMSStats
CIM_J2eeJTAStats
CIM_J2eeJVMStats
CIM_J2eeServletStats
CIM_J2eeURLStats

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true

Description

string

The J2eeStatistic class is a base class that defines the properties that are common to all J2EE statistics. The JSR77 specification defines a set of statistical types, then it defines each J2EE statistic in terms of these types. Since CIM does not support multiple inheritance or embedded objects, the count, time, range, bounded range, and boundary statistics defined have been broken out into individual properties for each statistic that is defined in the JSR77 specification. Many of the properties defined for J2EE statistics are inherited from the CIM_StatisticalData class. Some of the inherited properties are CIM dates, which are not consistent with the definitions in the JSR77 specification. In order to minimize implementation differences, methods are defined to provide the dates as specified. Some of the subclasses of CIM_J2EEStatistic do not add any new properties. However, these subclasses were chosen over adding a type property to the superclass because the vendor extensions were likely to result in classes with characteristics distinct enough to warrant the existence of subclasses.

UMLPackagePath | string | CIM::Application::J2eeAppServerStats
Version | string | 2.8.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Local Class Methods

#### GetStartTime (uint64)

#### Method Qualifiers (GetStartTime)

Name | Data Type | Value
--- | --- | ---
Description | string | The time the first measurement was taken represented as a long, whose value is the number of milliseconds since January 1, 1970,00:00:00. This method converts the StartStatisticTime property to the format defined in the JSR77 specification. The related property CIM_StatisticalData.StartStatisticTime represents the same information as a CIMDatetime entity.
MappingStrings | string | JSR77.JCP|JSR77.6.4.1.4 getStartTime|V1.0
ModelCorrespondence | string | CIM_StatisticalData.StartStatisticTime

#### Method Parameters (GetStartTime)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value

#### GetLastSampleTime (uint64)

#### Method Qualifiers (GetLastSampleTime)

Name | Data Type | Value
--- | --- | ---
Description | string | The time the most recent measurement was taken represented as a long, whose value is the number of milliseconds since January 1, 1970,00:00:00. This method converts the StatisticTime property to the format defined in the JSR77 specification. The related property CIM_StatisticalData.StatisticTime represents the same information as a CIMDatatime entity.
MappingStrings | string | JSR77.JCP|JSR77.6.4.1.5 getLastSampleTime|V1.0
ModelCorrespondence | string | CIM_StatisticalData.StatisticTime

#### Method Parameters (GetLastSampleTime)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ResetSelectedStats | uint32 | CIM_StatisticalData